


function loadControlled()
  
  player = Dynamic:new(player, 32, 32, 32, 32)
  controlled = player
  
end
function updateControlled(dt)

  inputControlled(dt)
  moveControlled(dt)

end
function moveControlled(dt)

  local maxSpeed = 100
  
  local dx = controlled.grid_x - controlled.act_x
  local dy = controlled.grid_y - controlled.act_y
  
  local len = math.sqrt(dx^2 + dy^2)
  
  if len > (maxSpeed * dt) then
    controlled.act_x = controlled.act_x + dx * dt * maxSpeed / len
    controlled.act_y = controlled.act_y + dy * dt * maxSpeed / len
  else
    controlled.act_x = controlled.grid_x
    controlled.act_y = controlled.grid_y
  end
  
end
function inputControlled()

  if mouseClickLeft == true then
    controlled.grid_x = grid_x * GRID_SIZE
    controlled.grid_y = grid_y * GRID_SIZE
  end

end